package com.infoepoch.pms.agent.platform.shared.exception;

/**
 * 验证异常
 */
public class ValidationException extends RuntimeException {

    /**
     * 构造函数
     */
    public ValidationException() {
        super();
    }

    /**
     * 构造函数
     */
    public ValidationException(String message) {
        super(message);
    }

    /**
     * 构造函数
     */
    public ValidationException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * 构造函数
     */
    public ValidationException(Throwable cause) {
        super(cause);
    }
}
